<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzs.system.config.mapper.BdBonusTypeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.hzs.common.domain.system.config.BdBonusType">
        <id column="PK_ID" property="pkId" />
    <result column="DEL_FLAG" property="delFlag" />
    <result column="PK_COUNTRY" property="pkCountry" />
    <result column="PK_CREATOR" property="pkCreator" />
    <result column="CREATION_TIME" property="creationTime" />
    <result column="PK_MODIFIED" property="pkModified" />
    <result column="MODIFIED_TIME" property="modifiedTime" />
        <result column="MEMBER_CODE" property="memberCode" />
        <result column="PERIOD" property="period" />
        <result column="IS_REFERENCE" property="isReference" />
        <result column="IS_EXPAND" property="isExpand" />
        <result column="IS_COACH" property="isCoach" />
        <result column="IS_SHARE" property="isShare" />
        <result column="IS_SERVICE" property="isService" />
        <result column="IS_PURCHASE_RANGE" property="isPurchaseRange" />
        <result column="IS_CONSUME_EXPAND" property="isConsumeExpand" />
        <result column="IS_MALL_RESALE" property="isMallResale" />
        <result column="IS_PLATFORM_FEE" property="isPlatformFee" />
        <result column="IS_COUPONS" property="isCoupons" />
        <result column="IS_SEA_BEAN" property="isSeaBean" />
        <result column="IS_CLOUD_REFERENCE" property="isCloudReference" />
        <result column="IS_CLOUD_FIRST" property="isCloudFirst" />
        <result column="IS_CLOUD_REPEAT" property="isCloudRepeat" />
        <result column="IS_GLOBAL_DIVIDEND" property="isGlobalDividend" />
        <result column="IS_GLOBAL_INTEGRAL" property="isGlobalIntegral" />
        <result column="IS_CAR_AWARD_POINTS" property="isCarAwardPoints" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        DEL_FLAG,
        PK_COUNTRY,
        PK_CREATOR,
        CREATION_TIME,
        PK_MODIFIED,
        MODIFIED_TIME,
        PK_ID, MEMBER_CODE, PERIOD, IS_REFERENCE, IS_EXPAND, IS_COACH, IS_SHARE, IS_SERVICE, IS_PURCHASE_RANGE, IS_CONSUME_EXPAND, IS_MALL_RESALE, IS_PLATFORM_FEE, IS_COUPONS, IS_SEA_BEAN, IS_CLOUD_REFERENCE, IS_CLOUD_FIRST, IS_CLOUD_REPEAT, IS_GLOBAL_DIVIDEND, IS_GLOBAL_INTEGRAL, IS_CAR_AWARD_POINTS
    </sql>

</mapper>
